Get crypto deposit limits
Last updated
Returns the authoritative min and max values for a deposit of the selected (network, asset) pair.
Values are returned in both crypto-native and USD terms, already tightened by your resolved limit rules.
The deposit leg is the crypto you send.
The payout leg is the USD credited to your balance.
Request query params type:
type QueryParams = {
network: string; // e.g. "POLYGON"
asset: string; // e.g. "USDC"
}Request URL example:
GET /api/v2/merchant-balance/deposit/limits?network=POLYGON&asset=USDCResponse type:
Response example:
Last updated
type Response = {
deposit: { // the crypto you send
min: number; // in crypto native units
max: number;
minUsd: number;
maxUsd: number;
step: number;
supportsDecimals: boolean;
};
payout: { // the USD credited to your balance
min: number;
max: number;
minUsd: number;
maxUsd: number;
step: number;
supportsDecimals: boolean;
};
}{
"deposit": {
"min": 1,
"max": 5000,
"minUsd": 1,
"maxUsd": 5000,
"step": 0.000001,
"supportsDecimals": true
},
"payout": {
"min": 1,
"max": 5000,
"minUsd": 1,
"maxUsd": 5000,
"step": 0.01,
"supportsDecimals": true
}
}
